html {
    max-width: 90rem;
    margin-right: auto;
    margin-left: auto;
    background-color: grey;
    overflow-x: hidden;
}

:root {
    --bs-border-radius: 0.7rem;
    --bsborder-radius-sm: 0.7rem;
    --bs-border-radius-lg: 0.9rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-xxl: 1.2rem;
    --bs-border-radius-2xl: 1.4rem;
    --bs-border-radius-pill: 0.7rem;

    --dt-row-selected: 64, 162, 85 !important;
    /* background of selected rows */
}

.tab-pane {
    overflow-y: scroll;
    overflow-x: hidden;
}

body {
    overflow-x: hidden;
}

/* Override negative horizontal margins on the home jumbotron */
#home>div[style*="jungle.jpg"] {
    margin-left: 0 !important;
    margin-right: 0 !important;
}

.container-fluid.html-fill-item.html-fill-container {
    background-color: white;
    overflow-x: hidden;
    max-width: 100vw;
}

h1 {
    font-size: 2rem;
    color: #40a255 !important;
    margin: 0px;
}

h2 {
    font-size: 1.6rem;
    color: #40a255 !important;
    margin: 0px;
}

h3 {
    font-size: 1.4rem;
}

h4 {
    font-size: 1.2rem;
}

h5 {
    font-size: 1rem;
}

h6 {
    font-size: 0.8rem;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

.nav-item a:hover {
    text-decoration: none;
}

.pagination {
    --bs-pagination-disabled-bg: #40a25596;
}

.lead {
    font-size: 1.6rem;
    font-weight: 500;
}

.footer {
    background-color: #40a255;
    color: white;
    text-align: center;
    width: 100%;
    align-self: center;
    padding: 3px;
}

.shiny-table.table {

    td,
    th {
        padding-right: 12px;
        padding-left: 0px !important;
        padding-top: 0px !important;
        padding-bottom: 0px !important;
        border: none;
    }
}

td {
    border: none;
}

.blank-row {
    height: 10px !important
}

.narrow {
    max-width: 40rem;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

/* manual control over nav header items */
.navbar .nav-link[data-value] {
    display: none;
}

*::selection {
    background: #40a255;
    color: #ffffff;
}

*::-moz-selection {
    background: #40a255;
    color: #ffffff;
}

*::-webkit-selection {
    background: #40a255;
    color: #ffffff;
}

.action-button.shiny-bound-input.disabled {
    background-color: grey;
    border-color: grey;
}


.narrow-text {
    max-width: 50rem;
    margin-left: auto;
    margin-right: auto;
}

/* leafletOutput does not have style argument*/
.leaflet {
    margin: -16px !important;
    width: unset !important;
    background: #848a8e;
}

/* Leaflet marker cluster color */
.marker-cluster-small,
.marker-cluster-small div,
.marker-cluster-medium,
.marker-cluster-medium div,
.marker-cluster-large,
.marker-cluster-large div {
    background-color: #40a255 !important;
    color: white !important;
}

.leaflet-container a {
    color: #40a255 !important;
}